In order to prevent the reverse engineering of script apps, many developers encrypt their program code with tools such as ionCube PHP Encoder and make it human unreadable. This is valid for paid applications in particular, because anybody would be able to use and modify the unencrypted code without paying the required license fees. If you purchase web software encrypted with ionCube PHP Encoder, you'll be able to use it without any problems as long as an instrument called ionCube Loader is a part of the website hosting server. This loader allows you to execute encoded files and you'll often see it on the list of prerequisites for a certain script app to be set up. Since the encrypted files are already precompiled, they are usually executed much faster and this will improve the overall speed of your site.
IonCube in Hosting
IonCube Loader is provided with all of the hosting packages which we provide, so every time you need it in order to install and run a script application that requires it, you can activate it with a click inside the Advanced area of your Hepsia Control Panel. Because you'll be able to switch the PHP version which is active for your account in the same section, you need to activate the instrument for each new version which you set. When you're more skillful, you can take advantage of a php.ini file in a domain or subdomain folder and set the PHP version and the status of ionCube Loader for this particular website only, without affecting the whole account. In this way you will be able to operate both new and older script apps for multiple websites in the same account - something that you cannot do with a lot of other hosting providers available on the market.
IonCube in Semi-dedicated Servers
Because all semi-dedicated server accounts are set up on our advanced cluster platform and ionCube Loader is available on it, you'll be able to use any script application which requires this tool to function effectively. With several clicks in your Hepsia hosting Control Panel you will be able to activate or deactivate ionCube for the PHP version that's currently active for your account. Since we support multiple releases of PHP concurrently, you'll have to do this every time you move to a different version, and if you revert back to a version which you have already used, our system will remember your choice and ionCube Loader will already be active. In case you have several websites in the same account and they need different releases of PHP, you'll be able to set up a php.ini file in every single domain folder and with a couple of lines of code you will be able to define both the PHP release as well as the status of ionCube irrespective of what is selected for the web hosting account altogether.